︠353905c8-a1c4-4eaf-bc70-6ddf4797a1f4s︠
# This code accompanies work by Matt Thomas and Crystal Peebles at Ithaca College.
# Please contact mthomas7@ithaca.edu for information about this code.
︡3253d402-dfe3-436d-88b2-09530637a52b︡︡{"done":true}
︠39d9b08e-c568-4c6a-9d51-41dc9eb59b77s︠
reset()
typeset_mode(True)
︡f975b1a9-7743-4427-a4e6-82de991b33d5︡︡{"done":true}
︠a294aa10-d3a3-4679-be01-0ade49109b10s︠
def all_paths(G,a,b):
    old_paths = G.all_paths( a, b ) # get all paths without edge multiplicity
    new_paths=[]
    for p in old_paths: # traverse each path replacing each edge by a list of (multi) edges
        multi_path=[]
        for i,u in enumerate(p):
            if i < len(p)-1:
                v = p[i+1]
                edges = G.edge_boundary([u], [v] )
                multi_path.append(edges)
        new_paths.extend( CartesianProduct(*multi_path )) # each sequence of (multi) edges will be a source of multiple paths
        #new_paths.extend( cartesian_product(*multi_path ))
    return new_paths
︡119ddac2-4854-4521-bc60-8fa88c97e348︡︡{"done":true}
︠b9b0a255-c948-44c7-ba40-a10a0a4ae5f2s︠
# start is at position 1 and end is position 5
_ = var('start')
_ = var('end')
︡f31c8bd2-5454-43e3-af24-3067ea28e282︡︡{"done":true}
︠d0b3f6b9-c447-42b5-bc5b-b5615cdea90cs︠
# define all the positions
for i in ['A','B']:
    for j in [1..2]:
        for k in ['a','b']:
            for l in [1..8]:
                _ = var(str(i)+str(j)+str(k)+'Pos'+str(l))
︡bae028be-33c2-4523-a8d6-0dfc0540fee5︡︡{"done":true}
︠40d26f7a-2065-4542-83ec-cabc59378562s︠
#Add arrows for calls, small subset, rest are at end
# Graph D is the first half of dances

reset('D')
# create the graph
D = DiGraph(multiedges=True)

for i in ['BRPT']:
    D.add_edge(start,A1aPos4,str(i))
    for j in [[1,4],[2,1],[3,2],[4,3],[5,8],[6,5],[7,6],[8,7]]:
        for k in [['A1a','A1b'],['A1b','A2a'],['A2a','A2b']]:
            D.add_edge(var(str(k[0])+'Pos'+str(j[0])),var(str(k[1])+'Pos'+str(j[1])),str(i))

for i in ['CL4','MAL1','MAR1','WAL1','WAR1','LL','MG1','WG1','MDsD1','WDsD1','NDsD1','NAL1','NAR1']:
    D.add_edge((start,A1aPos1,str(i)))
    for j in [[1,1],[2,2],[3,3],[4,4],[5,5],[6,6],[7,7],[8,8]]:
        for k in [['A1a','A1b'],['A1b','A2a'],['A2a','A2b']]:
            D.add_edge(var(str(k[0])+'Pos'+str(j[0])),var(str(k[1])+'Pos'+str(j[1])),str(i))

for i in ['WHH','MHH']:
    D.add_edge((start,A1aPos7,str(i)))
    for j in [[1,7],[2,4],[3,5],[4,2],[5,7],[6,2],[7,5],[8,4]]:
        for k in [['A1a','A1b'],['A1b','A2a'],['A2a','A2b']]:
            D.add_edge(var(str(k[0])+'Pos'+str(j[0])),var(str(k[1])+'Pos'+str(j[1])),str(i))

for i in ['WAL1.5','WAR1.5']:
    D.add_edge((start,A1aPos8,str(i)))
    for j in [[1,8],[2,5],[3,6],[4,7],[5,2],[6,3],[7,4],[8,1]]:
        for k in [['A1a','A1b'],['A1b','A2a'],['A2a','A2b']]:
            D.add_edge(var(str(k[0])+'Pos'+str(j[0])),var(str(k[1])+'Pos'+str(j[1])),str(i))

for i in ['MAL1.5','MAR1.5','MG1.5','MDsD1.5']:
    D.add_edge((start,A1aPos6,str(i)))
    for j in [[1,6],[2,7],[3,8],[4,5],[5,4],[6,1],[7,2],[8,3]]:
        for k in [['A1a','A1b'],['A1b','A2a'],['A2a','A2b']]:
            D.add_edge(var(str(k[0])+'Pos'+str(j[0])),var(str(k[1])+'Pos'+str(j[1])),str(i))

for i in ['RsLs']:
    D.add_edge((start,A1aPos6,str(i)))
    for j in [[1,6],[2,7],[3,8],[4,5],[5,4],[6,1],[7,2],[8,3]]:
        for k in [['A1a','A1b'],['A1b','A2a'],['A2a','A2b']]:
            D.add_edge(var(str(k[0])+'Pos'+str(j[0])),var(str(k[1])+'Pos'+str(j[1])),str(i))

for i in ['BRCT']:
    D.add_edge((start,A1aPos7,str(i)))
    for j in [[1,7],[2,6],[3,5],[4,8],[5,3],[6,2],[7,1],[8,4]]:
        for k in [['A1a','A1b'],['A1b','A2a'],['A2a','A2b']]:
            D.add_edge(var(str(k[0])+'Pos'+str(j[0])),var(str(k[1])+'Pos'+str(j[1])),str(i))

for i in ['WG1.5','WDsD1.5']:
    D.add_edge((start,A1aPos8,str(i)))
    for j in [[1,8],[2,7],[3,6],[4,5],[5,4],[6,3],[7,2],[8,1]]:
        for k in [['A1a','A1b'],['A1b','A2a'],['A2a','A2b']]:
            D.add_edge(var(str(k[0])+'Pos'+str(j[0])),var(str(k[1])+'Pos'+str(j[1])),str(i))

for i in ['LC']:
    D.add_edge((start,A1aPos2,str(i)))
    for j in [[1,2],[2,5],[3,4],[4,7],[5,2],[6,7],[7,4],[8,5]]:
        for k in [['A1a','A1b'],['A1b','A2a'],['A2a','A2b']]:
            D.add_edge(var(str(k[0])+'Pos'+str(j[0])),var(str(k[1])+'Pos'+str(j[1])),str(i))

for i in ['PS']:
    for j in [[2,2],[4,4],[6,4],[8,2]]:
        for k in [['A1a','A1b'],['A1b','A2a'],['A2a','A2b']]:
            D.add_edge(var(str(k[0])+'Pos'+str(j[0])),var(str(k[1])+'Pos'+str(j[1])),str(i))

for i in ['NS']:
    D.add_edge((start,A1aPos5,str(i)))
    for j in [[1,5],[3,7],[5,5],[7,7]]:
        for k in [['A1a','A1b'],['A1b','A2a'],['A2a','A2b']]:
            D.add_edge(var(str(k[0])+'Pos'+str(j[0])),var(str(k[1])+'Pos'+str(j[1])),str(i))

for i in ['PDsD1','PAL1','PAR1']:
    for j in [[2,2],[4,4],[6,6],[8,8]]:
        for k in [['A1a','A1b'],['A1b','A2a'],['A2a','A2b']]:
            D.add_edge(var(str(k[0])+'Pos'+str(j[0])),var(str(k[1])+'Pos'+str(j[1])),str(i))

for i in ['PDsD1.5','PAL1.5','PAR1.5']:
    for j in [[2,8],[4,6],[6,4],[8,2]]:
        for k in [['A1a','A1b'],['A1b','A2a'],['A2a','A2b']]:
            D.add_edge(var(str(k[0])+'Pos'+str(j[0])),var(str(k[1])+'Pos'+str(j[1])),str(i))

for i in ['NDsD1','NALR1']:
    D.add_edge((start,A1aPos1,str(i)))
    for j in [[1,1],[3,3],[5,5],[7,7]]:
        for k in [['A1a','A1b'],['A1b','A2a'],['A2a','A2b']]:
            D.add_edge(var(str(k[0])+'Pos'+str(j[0])),var(str(k[1])+'Pos'+str(j[1])),str(i))

for i in ['NDsD1.5','NAL1.5','NAR1.5']:
    D.add_edge((start,A1aPos5,str(i)))
    for j in [[1,5],[3,7],[5,1],[7,3]]:
        for k in [['A1a','A1b'],['A1b','A2a'],['A2a','A2b']]:
            D.add_edge(var(str(k[0])+'Pos'+str(j[0])),var(str(k[1])+'Pos'+str(j[1])),str(i))
︡74fb6125-c102-48fa-b19a-86ca512a7d1d︡︡{"done":true}
︠94cf8541-8d97-47d5-8b66-ac7975ce0428s︠
# Graph E is the second half of dances
reset('E')
# create the graph
E = DiGraph(multiedges=True)

for i in ['BRPT']:
    E.add_edge(B2aPos6,end,str(i))
    for j in [[1,4],[2,1],[3,2],[4,3],[5,8],[6,5],[7,6],[8,7]]:
        for k in [['A2b','B1a'],['B1a','B1b'],['B1b','B2a']]:
            E.add_edge(var(str(k[0])+'Pos'+str(j[0])),var(str(k[1])+'Pos'+str(j[1])),str(i))

for i in ['CL4','MAL1','MAR1','WAL1','WAR1','LL','MG1','WG1','MDsD1','WDsD1','NDsD1','NAL1','NAR1']:
    E.add_edge((B2aPos5,end,str(i)))
    for j in [[1,1],[2,2],[3,3],[4,4],[5,5],[6,6],[7,7],[8,8]]:
        for k in [['A2b','B1a'],['B1a','B1b'],['B1b','B2a']]:
            E.add_edge(var(str(k[0])+'Pos'+str(j[0])),var(str(k[1])+'Pos'+str(j[1])),str(i))

for i in ['WHH','MHH']:
    E.add_edge((B2aPos3,end,str(i)))
    E.add_edge((B2aPos7,end,str(i)))
    for j in [[1,7],[2,4],[3,5],[4,2],[5,7],[6,2],[7,5],[8,4]]:
        for k in [['A2b','B1a'],['B1a','B1b'],['B1b','B2a']]:
            E.add_edge(var(str(k[0])+'Pos'+str(j[0])),var(str(k[1])+'Pos'+str(j[1])),str(i))

for i in ['WAL1.5','WAR1.5']:
    E.add_edge((B2aPos2,end,str(i)))
    for j in [[1,8],[2,5],[3,6],[4,7],[5,2],[6,3],[7,4],[8,1]]:
        for k in [['A2b','B1a'],['B1a','B1b'],['B1b','B2a']]:
            E.add_edge(var(str(k[0])+'Pos'+str(j[0])),var(str(k[1])+'Pos'+str(j[1])),str(i))

for i in ['MAL1.5','MAR1.5','MG1.5','MDsD1.5']:
    E.add_edge((B2aPos4,end,str(i)))
    for j in [[1,6],[2,7],[3,8],[4,5],[5,4],[6,1],[7,2],[8,3]]:
        for k in [['A2b','B1a'],['B1a','B1b'],['B1b','B2a']]:
            E.add_edge(var(str(k[0])+'Pos'+str(j[0])),var(str(k[1])+'Pos'+str(j[1])),str(i))

for i in ['RsLs']:
    E.add_edge((B2aPos4,end,str(i)))
    for j in [[1,6],[2,7],[3,8],[4,5],[5,4],[6,1],[7,2],[8,3]]:
        for k in [['A2b','B1a'],['B1a','B1b'],['B1b','B2a']]:
            E.add_edge(var(str(k[0])+'Pos'+str(j[0])),var(str(k[1])+'Pos'+str(j[1])),str(i))

for i in ['BRCT']:
    E.add_edge((B2aPos3,end,str(i)))
    for j in [[1,7],[2,6],[3,5],[4,8],[5,3],[6,2],[7,1],[8,4]]:
        for k in [['A2b','B1a'],['B1a','B1b'],['B1b','B2a']]:
            E.add_edge(var(str(k[0])+'Pos'+str(j[0])),var(str(k[1])+'Pos'+str(j[1])),str(i))

for i in ['WG1.5','WDsD1.5']:
    E.add_edge((B2aPos4,end,str(i)))
    for j in [[1,8],[2,7],[3,6],[4,5],[5,4],[6,3],[7,2],[8,1]]:
        for k in [['A2b','B1a'],['B1a','B1b'],['B1b','B2a']]:
            E.add_edge(var(str(k[0])+'Pos'+str(j[0])),var(str(k[1])+'Pos'+str(j[1])),str(i))

for i in ['LC']:
    E.add_edge((B2aPos2,end,str(i)))
    E.add_edge((B2aPos8,end,str(i)))
    for j in [[1,2],[2,5],[3,4],[4,7],[5,2],[6,7],[7,4],[8,5]]:
        for k in [['A2b','B1a'],['B1a','B1b'],['B1b','B2a']]:
            E.add_edge(var(str(k[0])+'Pos'+str(j[0])),var(str(k[1])+'Pos'+str(j[1])),str(i))

for i in ['PS']:
    for j in [[2,2],[4,4],[6,4],[8,2]]:
        for k in [['A2b','B1a'],['B1a','B1b'],['B1b','B2a']]:
            E.add_edge(var(str(k[0])+'Pos'+str(j[0])),var(str(k[1])+'Pos'+str(j[1])),str(i))

for i in ['NS']:
    E.add_edge((B2aPos1,end,str(i)))
    E.add_edge((B2aPos5,end,str(i)))
    for j in [[1,5],[3,7],[5,5],[7,7]]:
        for k in [['A2b','B1a'],['B1a','B1b'],['B1b','B2a']]:
            E.add_edge(var(str(k[0])+'Pos'+str(j[0])),var(str(k[1])+'Pos'+str(j[1])),str(i))

for i in ['PDsD1','PAL1','PAR1']:
    for j in [[2,2],[4,4],[6,6],[8,8]]:
        for k in [['A2b','B1a'],['B1a','B1b'],['B1b','B2a']]:
            E.add_edge(var(str(k[0])+'Pos'+str(j[0])),var(str(k[1])+'Pos'+str(j[1])),str(i))

for i in ['PDsD1.5','PAL1.5','PAR1.5']:
    for j in [[2,8],[4,6],[6,4],[8,2]]:
        for k in [['A2b','B1a'],['B1a','B1b'],['B1b','B2a']]:
            E.add_edge(var(str(k[0])+'Pos'+str(j[0])),var(str(k[1])+'Pos'+str(j[1])),str(i))

for i in ['NDsD1','NALR1']:
    E.add_edge((B2aPos5,end,str(i)))
    for j in [[1,1],[3,3],[5,5],[7,7]]:
        for k in [['A2b','B1a'],['B1a','B1b'],['B1b','B2a']]:
            E.add_edge(var(str(k[0])+'Pos'+str(j[0])),var(str(k[1])+'Pos'+str(j[1])),str(i))

for i in ['NDsD1.5','NAL1.5','NAR1.5']:
    E.add_edge((B2aPos1,end,str(i)))
    for j in [[1,5],[3,7],[5,1],[7,3]]:
        for k in [['A2b','B1a'],['B1a','B1b'],['B1b','B2a']]:
            E.add_edge(var(str(k[0])+'Pos'+str(j[0])),var(str(k[1])+'Pos'+str(j[1])),str(i))
︡676ab9f2-eefe-46f4-91fe-2df84adddf7b︡︡{"done":true}
︠1f7d484c-eafb-414b-8469-bb5ee870f7a6s︠
D.set_pos({
        start:[0,4],
        A1aPos1:[1,7],
        A1aPos2:[1,6],
        A1aPos3:[1,5],
        A1aPos4:[1,4],
        A1aPos5:[1,3],
        A1aPos6:[1,2],
        A1aPos7:[1,1],
        A1aPos8:[1,0],
        A1bPos1:[2,7],
        A1bPos2:[2,6],
        A1bPos3:[2,5],
        A1bPos4:[2,4],
        A1bPos5:[2,3],
        A1bPos6:[2,2],
        A1bPos7:[2,1],
        A1bPos8:[2,0],
        A2aPos1:[3,7],
        A2aPos2:[3,6],
        A2aPos3:[3,5],
        A2aPos4:[3,4],
        A2aPos5:[3,3],
        A2aPos6:[3,2],
        A2aPos7:[3,1],
        A2aPos8:[3,0],
        A2bPos1:[4,7],
        A2bPos2:[4,6],
        A2bPos3:[4,5],
        A2bPos4:[4,4],
        A2bPos5:[4,3],
        A2bPos6:[4,2],
        A2bPos7:[4,1],
        A2bPos8:[4,0]
    })

︡80e39c18-8be9-437d-82b9-9d3a815a2b45︡︡{"done":true}
︠2dc2fda9-c6de-411c-8e66-f5791677fce9s︠
E.set_pos({
        A2bPos1:[4,7],
        A2bPos2:[4,6],
        A2bPos3:[4,5],
        A2bPos4:[4,4],
        A2bPos5:[4,3],
        A2bPos6:[4,2],
        A2bPos7:[4,1],
        A2bPos8:[4,0],
        B1aPos1:[5,7],
        B1aPos2:[5,6],
        B1aPos3:[5,5],
        B1aPos4:[5,4],
        B1aPos5:[5,3],
        B1aPos6:[5,2],
        B1aPos7:[5,1],
        B1aPos8:[5,0],
        B1bPos1:[6,7],
        B1bPos2:[6,6],
        B1bPos3:[6,5],
        B1bPos4:[6,4],
        B1bPos5:[6,3],
        B1bPos6:[6,2],
        B1bPos7:[6,1],
        B1bPos8:[6,0],
        B2aPos1:[7,7],
        B2aPos2:[7,6],
        B2aPos3:[7,5],
        B2aPos4:[7,4],
        B2aPos5:[7,3],
        B2aPos6:[7,2],
        B2aPos7:[7,1],
        B2aPos8:[7,0],
        end:[8,4]
    })

︡9c5844ea-9043-4e0f-b449-250206b9b356︡︡{"done":true}
︠7a797053-306b-462f-809f-d19ece67d411s︠
D.graphplot(edge_labels=True, vertex_size=5000).show(figsize=4)
︡d9875c3d-21b2-430f-904b-02b8a72e9cea︡︡{"file":{"filename":"/projects/f5131d05-a281-4a3b-b456-e738f4182eb1/.sage/temp/compute6-us/1610/tmp__i5o0k.svg","show":true,"text":null,"uuid":"f81cdebd-30bf-40aa-a653-a7da0ede9ee8"},"once":false}︡{"html":"<div align='center'></div>"}︡{"done":true}
︠e117d47b-3dfb-4513-8a4c-1d4e75223951s︠
E.graphplot(edge_labels=True, vertex_size=3500).show(figsize=4)
︡009d605d-0174-4f3f-921b-129ba4534494︡︡{"file":{"filename":"/projects/f5131d05-a281-4a3b-b456-e738f4182eb1/.sage/temp/compute6-us/1610/tmp_LRmkPU.svg","show":true,"text":null,"uuid":"21bd7a3f-18a4-4280-b6b3-c4c09ed7990d"},"once":false}︡{"html":"<div align='center'></div>"}︡{"done":true}
︠dce70ea6-3924-470c-acfd-482d52c515f8s︠
D.get_pos()
E.get_pos()
︡799c54d9-38d1-4735-aa8c-389b6795fbdc︡︡{"html":"<div align='center'>$\\displaystyle \\left\\{\\mathit{A2aPos}_{7} : \\left[3, 1\\right], \\mathit{A1bPos}_{2} : \\left[2, 6\\right], \\mathit{A1aPos}_{4} : \\left[1, 4\\right], \\mathit{A2aPos}_{5} : \\left[3, 3\\right], \\mathit{A1bPos}_{7} : \\left[2, 1\\right], \\mathit{A2bPos}_{8} : \\left[4, 0\\right], \\mathit{A1aPos}_{2} : \\left[1, 6\\right], \\mathit{A1bPos}_{5} : \\left[2, 3\\right], \\mathit{A2bPos}_{6} : \\left[4, 2\\right], \\mathit{A1aPos}_{7} : \\left[1, 1\\right], \\mathit{A2aPos}_{8} : \\left[3, 0\\right], \\mathit{A1aPos}_{5} : \\left[1, 3\\right], \\mathit{A2aPos}_{6} : \\left[3, 2\\right], \\mathit{start} : \\left[0, 4\\right], \\mathit{A1bPos}_{8} : \\left[2, 0\\right], \\mathit{A2bPos}_{3} : \\left[4, 5\\right], \\mathit{A1bPos}_{6} : \\left[2, 2\\right], \\mathit{A1aPos}_{8} : \\left[1, 0\\right], \\mathit{A2bPos}_{1} : \\left[4, 7\\right], \\mathit{A2aPos}_{3} : \\left[3, 5\\right], \\mathit{A1aPos}_{6} : \\left[1, 2\\right], \\mathit{A2aPos}_{1} : \\left[3, 7\\right], \\mathit{A1bPos}_{3} : \\left[2, 5\\right], \\mathit{A2bPos}_{4} : \\left[4, 4\\right], \\mathit{A1bPos}_{1} : \\left[2, 7\\right], \\mathit{A2bPos}_{2} : \\left[4, 6\\right], \\mathit{A1aPos}_{3} : \\left[1, 5\\right], \\mathit{A2aPos}_{4} : \\left[3, 4\\right], \\mathit{A2bPos}_{7} : \\left[4, 1\\right], \\mathit{A1aPos}_{1} : \\left[1, 7\\right], \\mathit{A2aPos}_{2} : \\left[3, 6\\right], \\mathit{A1bPos}_{4} : \\left[2, 4\\right], \\mathit{A2bPos}_{5} : \\left[4, 3\\right]\\right\\}$</div>"}︡{"html":"<div align='center'>$\\displaystyle \\left\\{\\mathit{B1aPos}_{8} : \\left[5, 0\\right], \\mathit{B2aPos}_{3} : \\left[7, 5\\right], \\mathit{B1aPos}_{6} : \\left[5, 2\\right], \\mathit{A2bPos}_{8} : \\left[4, 0\\right], \\mathit{B2aPos}_{1} : \\left[7, 7\\right], \\mathit{B1bPos}_{3} : \\left[6, 5\\right], \\mathit{A2bPos}_{6} : \\left[4, 2\\right], \\mathit{B1bPos}_{1} : \\left[6, 7\\right], \\mathit{B1aPos}_{3} : \\left[5, 5\\right], \\mathit{B2aPos}_{4} : \\left[7, 4\\right], \\mathit{B1aPos}_{1} : \\left[5, 7\\right], \\mathit{B2aPos}_{2} : \\left[7, 6\\right], \\mathit{A2bPos}_{3} : \\left[4, 5\\right], \\mathit{B1bPos}_{4} : \\left[6, 4\\right], \\mathit{B2aPos}_{7} : \\left[7, 1\\right], \\mathit{A2bPos}_{1} : \\left[4, 7\\right], \\mathit{B1bPos}_{2} : \\left[6, 6\\right], \\mathit{B1aPos}_{4} : \\left[5, 4\\right], \\mathit{B2aPos}_{5} : \\left[7, 3\\right], \\mathit{B1bPos}_{7} : \\left[6, 1\\right], \\mathit{end} : \\left[8, 4\\right], \\mathit{B1aPos}_{2} : \\left[5, 6\\right], \\mathit{A2bPos}_{4} : \\left[4, 4\\right], \\mathit{B1bPos}_{5} : \\left[6, 3\\right], \\mathit{B1aPos}_{7} : \\left[5, 1\\right], \\mathit{B2aPos}_{8} : \\left[7, 0\\right], \\mathit{A2bPos}_{2} : \\left[4, 6\\right], \\mathit{B1aPos}_{5} : \\left[5, 3\\right], \\mathit{B2aPos}_{6} : \\left[7, 2\\right], \\mathit{A2bPos}_{7} : \\left[4, 1\\right], \\mathit{B1bPos}_{8} : \\left[6, 0\\right], \\mathit{A2bPos}_{5} : \\left[4, 3\\right], \\mathit{B1bPos}_{6} : \\left[6, 2\\right]\\right\\}$</div>"}︡{"done":true}
︠98680411-aaeb-4346-9549-5a2cf301d908s︠
# count the dances
#paths=all_paths(D,start,A2bPos1)
#len(paths)
#for p in paths:
#    print p
︡e858ae7f-9e2c-49ca-b912-560c03375900︡︡{"done":true}
︠93f70321-b0fd-4db0-9051-c8939522cc14s︠
totaldances = 0
for i in [1..8]:
    for j in ['a','b']:
        _ = var(str(j)+str(i))
︡b529b459-12c9-4b97-a671-e1c9b5354f46︡︡{"done":true}
︠b45930d9-97bd-4023-b001-0b270fabc550s︠
firstset = []
secondset = []
for i in [1..8]:
    paths=all_paths(D,start,var('A2bPos'+str(i)))
    firstset.append(len(paths))
    print "Start to A2b Position",i,"is",len(paths),"paths"
for i in [1..8]:
    paths=all_paths(E,var('A2bPos'+str(i)),end)
    secondset.append(len(paths))
    print "A2b Position",i,"to end is",len(paths),"paths"
︡4e089b84-1274-46e2-b613-088979c51395︡︡{"stderr":"<string>:11: DeprecationWarning: CartesianProduct is deprecated. Use cartesian_product instead\nSee http://trac.sagemath.org/18411 for details.\n"}︡{"stdout":"Start to A2b Position"}︡{"stdout":" 1 is 158191 paths\nStart to A2b Position"}︡{"stdout":" 2 is 173187 paths\nStart to A2b Position"}︡{"stdout":" 3 is 103870 paths\nStart to A2b Position"}︡{"stdout":" 4 is 179807 paths\nStart to A2b Position"}︡{"stdout":" 5 is 181266 paths\nStart to A2b Position"}︡{"stdout":" 6 is 141273 paths\nStart to A2b Position"}︡{"stdout":" 7 is 167723 paths\nStart to A2b Position"}︡{"stdout":" 8 is 126958 paths\n"}︡{"stdout":"A2b Position"}︡{"stdout":" 1 to end is 181266 paths\nA2b Position"}︡{"stdout":" 2 to end is 186557 paths\nA2b Position"}︡{"stdout":" 3 to end is 167723 paths\nA2b Position"}︡{"stdout":" 4 to end is 238817 paths\nA2b Position"}︡{"stdout":" 5 to end is 238764 paths\nA2b Position"}︡{"stdout":" 6 to end is 179931 paths\nA2b Position"}︡{"stdout":" 7 to end is 178306 paths\nA2b Position"}︡{"stdout":" 8 to end is 173131 paths\n"}︡{"done":true}
︠f98454cd-a535-4cc1-b580-40f24c6b9744s︠
firstset
secondset
︡759f3b30-22d1-4405-98ff-76a78b7b78fd︡︡{"html":"<div align='center'>[$\\displaystyle 158191$, $\\displaystyle 173187$, $\\displaystyle 103870$, $\\displaystyle 179807$, $\\displaystyle 181266$, $\\displaystyle 141273$, $\\displaystyle 167723$, $\\displaystyle 126958$]</div>"}︡{"html":"<div align='center'>[$\\displaystyle 181266$, $\\displaystyle 186557$, $\\displaystyle 167723$, $\\displaystyle 238817$, $\\displaystyle 238764$, $\\displaystyle 179931$, $\\displaystyle 178306$, $\\displaystyle 173131$]</div>"}︡{"done":true}
︠304366d4-7662-4f12-a2ce-207463374978s︠
totaldances=0
for i in [0..len(firstset)-1]:
    totaldances = totaldances + (firstset[i]*secondset[i])
totaldances
︡883c78f7-6b0e-441f-adf9-78b11c18e969︡︡{"html":"<div align='center'>$\\displaystyle 241931823417$</div>"}︡{"done":true}
︠5a3c4bdf-b987-4139-9837-9565fbbbc88ds︠
matrix(firstset)*transpose(matrix(secondset))
︡0061bf2e-acb5-4f60-8c25-3d6b398ebbf6︡︡{"html":"<div align='center'>$\\displaystyle \\left(\\begin{array}{r}\n241931823417\n\\end{array}\\right)$</div>"}︡{"done":true}
︠fa3fc3db-a1e4-46dc-aa25-b1e022cc911e︠









